<!DOCTYPE HTML>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
        
        <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Lato"/>
        <link rel="stylesheet" href="admin_quiz_panel.css">
    </head>
    
    <body>

		<div class="container">
			<div class="row py-3">
				<div class="col-12"></div>
			</div>
    		
    		<div class="row mx-n5">
    			<div class="col-2"></div>
    			<div class="col-8" id="display-container">
    				<!-- HERE WILL BE ADDED ELEMENTS FOR DISPLAY< -->
    			</div>
    			<div class="col-2"></div>
    		</div>
    	</div>
    
       
    
    
            
		<!-- ADMIN QUIZ INFO BOX TEMPLATE => START -->
        <div class="row quiz-info-box bg-color-2 quiz-info-box-template hidden">
        	<div class="col-1"></div>
            
            <!-- QUIZ IMAGE => START -->
            <div class="col-2 d-flex">
            	<span class="mx-auto my-auto"><img class="quiz-img" src="img/html_icon.png" alt="Icon"></span>
            </div>
            <!-- QUIZ IMAGE => END -->
            
            <div class="col-6 mx-auto">
            	
            	<div class="row d-flex pt-2">
                	<div class="col-12 quiz-title mx-auto text-center">Quiz Title</div>
                </div>
                                
               	<div class="row d-flex">
                	<div class="col-12 quiz-owner mx-auto text-center">By Unknown</div>
                </div>

				<!--  QUIZ STATE BOX => START -->
                <div class="row d-flex pt-3">
                
                	<div class="col-6 d-flex">
                    	<div class="row d-flex">
                       		<div class="col-12 mx-auto quiz-stat-box text-center number-of-questions">
                            	Number of questions: 0
                            </div>
                        </div>
                    </div>

                    <div class="col-6 d-flex">
                    	<div class="row d-flex">
                        	<div class="col-12 mx-auto quiz-stat-box text-center maximum-score">
                            	Maximum score: 0
                            </div>
                        </div>
               	    </div>
                
                </div>

                <div class="row d-flex py-3">
                	<div class="col-3"></div>
                    <div class="col-6 mx-auto quiz-stat-box text-center total-time">
                    	Total time: 0min
                    </div>
                    <div class="col-3"></div>
               	</div>
               	<!-- QUIZ STATE BOX => END -->
			
			</div>
            
            <div class="col-1"></div>
            
            
            <div class="col-2">
                            
				<div class="row py-3">
                	<div class="col-2"></div>
                    <div class="col-8">
                    	<div class="active-inactive-button mx-auto my-auto text-center inactive d-flex" data-toggle="tooltip" data-placement="top" title="Quiz active status">
                        	<div class="mx-auto my-auto text-center content">I</div>
                        </div>
                  	</div>
                    <div class="col-2"></div>
              	</div>
                            
                <div class="row py-3">    
                	<div class="col-2"></div>
                    <div class="col-8 d-flex">
                    	<span class="mx-auto my-auto">
                       		<img class="add-question-button" src="img/add_button.svg" alt="Icon" data-toggle="tooltip" data-placement="top" title="Add new question">
                        </span>
                    </div>
                    <div class="col-2"></div>
                </div>
                            
            </div>

         </div>
         <!-- ADMIN QUIZ INFO BOX TEMPLATE => END -->
            
            
            
        <!-- ADMIN QUESTIONS BOX TEMPLATE => START -->
        <div class="row py-4 hidden questions-box-template">
        	<div class="col-12 questions-box">
        	
        	</div>
        </div>
            
            
            
            
            
            
        <!-- ADMIN QUESTION BOX TEMPLATE => START -->    
		 <div class="row py-3 admin-panel-question admin-panel-question-template hidden" questionID="">
		 	<div class="col-12">
		 	
		 		<div class="row">
		 		<div class="col-12">
		 		
		 		<!--  FLIP BOX START -->
                <div class='flip-box' onclick="this.classList.toggle('flipped')">
                <!--  FLIP BOX FRONT START -->
                <div class='front'>
         		
         		<!-- ADMIN QUESTION BOX TEMPLATE FRONT => START -->
            	<div class="row quiz-question-box bg-color-2 py-2">
                	<div class="col-2 d-flex">
                    	<span class="mx-auto my-auto">
                        	<img class="add-answer-button" src="img/add_button.svg" alt="Icon" data-toggle="tooltip" data-placement="top" title="Add new answer">
                        </span>
                    </div>

                    <div class="col-1"></div>

                    <div class="col-6  text-center">
                    	<input type="text" class="question-text invisible-input w-100 h-100 text-center" value="Question Text" onclick="event.stopPropagation();">
                    </div>

                    <div class="col-1"></div>

                    <div class="col-2 mx-auto my-auto d-flex">
                    	<div class="number-of-answers-box mx-auto my-auto text-center content" data-toggle="tooltip" data-placement="top" title="Number of answers">14</div>
                    </div>
                </div>
             	<!-- ADMIN QUESTION BOX TEMPLATE FRONT => END -->
				
				
				</div>             	
             	<!--  FLIP BOX FRONT END -->
				
				
				
				<!--  FLIP BOX BACK START -->
                <div class='back'>
             	
				<!-- ADMIN QUESTION BOX TEMPLATE BACK => START -->
             	<div class="row quiz-question-box bg-color-2 py-2 inverse">
                	<div class="col-2 mx-auto my-auto d-flex">
                    	<div class="question-score-box mx-auto my-auto text-center content" data-toggle="tooltip" data-placement="top" title="Question score">
                    		<input type="text" class="question-score-text invisible-input w-100 h-100 text-center" value="15" onclick="event.stopPropagation();">
                    	</div>
                    </div>
    
                   	<div class="col-1"></div>
    
                   	<div class="col-6 remove-question text-center">
                    	Click here to remove question
                    </div>
    
                    <div class="col-1"></div>
    
                    <div class="col-2 mx-auto my-auto d-flex">
                    	<div class="question-time-box mx-auto my-auto text-center content" data-toggle="tooltip" data-placement="top" title="Question time">
                    		<input type="text" class="question-time-text invisible-input w-100 h-100 text-center" value="15" onclick="event.stopPropagation();">
                    	</div>
                    </div>
                </div>
           	 	<!-- ADMIN QUESTION BOX TEMPLATE BACK => END -->
           	 	
           	 	</div>
                <!--  FLIP BOX BACK END -->
                </div>
                <!--  FLIP BOX END -->
           	 	
           	 	</div>
           	 	</div>
           	 	
           	 	
           	 	<!-- ADMIN QUESTION BOX - ANSWERS BOX -->
           	 	<div class="row">
           	 		<div class="col-1"></div>
           	 		<div class="col-10 answers-box"></div>
           	 		<div class="col-1"></div>
           	 	</div>
         	
         	</div>
         </div>
 		 <!-- ADMIN QUESTION BOX TEMPLATE => END --> 
            
            
            
            
            
            
            
         <!-- ADMIN ANSWER BOX TEMPLATE => START -->   
 		 <div class="row w-100 py-2 admin-panel-answer admin-panel-answer-template hidden" answerID="">
         	<div class="col-2"></div>
            <div class="col-8">
            	<div class="row quiz-answer-box bg-color-2 py-1">
                	<div class="col-2 d-flex">
                    	<span class="mx-auto my-auto">
                        	<img class="remove-answer-button" src="img/remove_button.svg" alt="Icon" data-toggle="tooltip" data-placement="top" title="Remove answer">
                        </span>
                    </div>
                                        
                    <div class="col-8 mx-auto my-auto">
                    	<input type="text" class="answer-text invisible-input w-100 h-100 text-center" value="Answer Text" onclick="event.stopPropagation();">
                    </div>
                                        
                    <div class="col-2 d-flex">
                    	<div class="mx-auto my-auto is-answer-correct-box"></div>
                    </div>
                </div>
            </div>
            
            <div class="col-2"></div>
         </div>
         <!-- ADMIN ANSWER BOX TEMPLATE => END -->   
            
            
            
            
          


    </body>

    <script> 

        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        });

    
    </script>
 
 	<!-- MY JAVASCRIPT-->
 	<script type="text/javascript" src="/RWA_project/admin_quiz_panel_animation.js"></script>
    <script type="text/javascript" src="/RWA_project/admin_quiz_panel_communication.js"></script>
    


</html>
